package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag105;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT105Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT105Creator mt105Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt105Creator= (MT105Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt105Creator.getRelatedReference();
        mt105Creator.set("21", tag21Value);
    }
}
